summaryrefslogtreecommitdiffstats
path: root/games/pokerth
diff options
context:
space:
mode:
author Marcel Saegebarth <tsa@gmx.li>2010-05-11 22:53:45 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:45 +0200
commit9b6470576bdf32f87d01356d7daa4e00ad2072a6 (patch)
tree34384a301041012bd72988ef4ce435fa5c8a3af8 /games/pokerth
parent206f77ed965279d061872fb925d5dba007b6b2d3 (diff)
downloadslackbuilds-9b6470576bdf32f87d01356d7daa4e00ad2072a6.tar.gz
slackbuilds-9b6470576bdf32f87d01356d7daa4e00ad2072a6.tar.xz
games/pokerth: Added to 12.1 repository
Diffstat (limited to 'games/pokerth')
-rw-r--r--games/pokerth/README10
-rw-r--r--games/pokerth/pokerth.SlackBuild83
-rw-r--r--games/pokerth/pokerth.info8
-rw-r--r--games/pokerth/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/games/pokerth/README b/games/pokerth/README
new file mode 100644
index 0000000000..2ede7bdd17
--- /dev/null
+++ b/games/pokerth/README
@@ -0,0 +1,10 @@
+PokerTH is a poker game written in C++/QT4. You can play the
+popular "Texas Hold'em" poker variant against up to six
+computer-opponents or play network games with people all over
+the world. This poker engine is available for Linux, Windows,
+and MacOSX.
+
+The build package will include the PokerTH server.
+
+PokerTH needs QT4 and Boost to compile.
+The required SlackBuild scripts are available at SlackBuilds.org.
diff --git a/games/pokerth/pokerth.SlackBuild b/games/pokerth/pokerth.SlackBuild
new file mode 100644
index 0000000000..8d1c5b45d7
--- /dev/null
+++ b/games/pokerth/pokerth.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# SlackBuild script for "PokerTH".
+# Copyright 2008 Marcel Saegebarth <tsa@gmx.li>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=pokerth
+SRCNAM=PokerTH
+VERSION=0.6.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on some errors.
+
+rm -rf $PKG
+rm -rf $TMP/$SRCNAM-$VERSION-src
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION-src.tar.bz2
+cd $SRCNAM-$VERSION-src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake-qt4 pokerth.pro
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install DESTDIR=$PKG INSTALL_ROOT=$PKG
+
+mkdir -p $PKG/usr/bin
+install -s -D -m 0755 $TMP/$SRCNAM-$VERSION-src/pokerth $PKG/usr/bin
+install -s -D -m 0755 $TMP/$SRCNAM-$VERSION-src/bin/pokerth_server $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL TODO ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/pokerth/pokerth.info b/games/pokerth/pokerth.info
new file mode 100644
index 0000000000..cf2989bad9
--- /dev/null
+++ b/games/pokerth/pokerth.info
@@ -0,0 +1,8 @@
+PRGNAM="pokerth"
+VERSION="0.6.2"
+HOMEPAGE="http://www.pokerth.net"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/pokerth/PokerTH-0.6.2-src.tar.bz2"
+MD5SUM="881eb46440877b34b6a10450911a29bb"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="tsa@gmx.li"
+APPROVED="Erik Hanson"
diff --git a/games/pokerth/slack-desc b/games/pokerth/slack-desc
new file mode 100644
index 0000000000..8d07b2fdf9
--- /dev/null
+++ b/games/pokerth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pokerth: PokerTH 0.6.2 (A poker game)
+pokerth:
+pokerth: PokerTH is a poker game written in C++/QT4. You can play the
+pokerth: popular "Texas Hold'em" poker variant against up to six
+pokerth: computer-opponents or play network games with people all over
+pokerth: the world. This poker engine is available for Linux, Windows,
+pokerth: and MacOSX.
+pokerth:
+pokerth: Homepage: http://www.pokerth.net
+pokerth:
+pokerth: